/*
The MIT License (MIT)

Copyright (c) 2015 ThibaultJanBeyer
web: http://www.thibaultjanbeyer.com/
Version: 0.1

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*/
if(!window.jQuery)
{
   console.log('ERROR: the Script for toggling more than two classes needs jQuery to run. Please add jQuery to your Project.');
}

(function($){
 	$.fn.extend({
 	    toggleClasses: function(classes, boolean){
 	      var 	conf = {
			   		//defaults
			   		toggleZero: boolean
		   		},
				currentClass = 0,
		  		elementClass = $(this).attr("class").split(" "),
				hasClass = [];
		  
		  //global function that removes all items in array that match the argument
		  Array.prototype.remove = function() {
			var what, a = arguments, L = a.length, ax;
			while (L && this.length) {
				what = a[--L];
				while ((ax = this.indexOf(what)) !== -1) {
					this.splice(ax, 1);
				}
			}
			return this;
			};
		  
		  //check if element has specific class
		  for(var i = 0; i < classes.length; i++){
			if ( elementClass.indexOf(classes[i]) != -1 ){
				hasClass[i] = 'true';
			}
		  }
		  for(var int = 0; int < classes.length; int++){
			if ( hasClass.indexOf('true') >= 0 ){
				if (hasClass[int] === 'true' && int < (classes.length - 1)) {
					elementClass.remove(classes[int]);
					currentClass = int + 1;
					elementClass.push(classes[currentClass]);
					break;
				} else if (hasClass[int] === 'true'){
					elementClass.remove(classes[int]);
					currentClass = 0;
					if (classes.length > 1 && conf.toggleZero !== true){
						elementClass.push(classes[currentClass]);
					}
					break;	
				}
			} else {
				// if there is no class then set to the class to start with the respective one
				currentClass = 0;
				elementClass.push(classes[currentClass]);
				break;
			}
		  }
		  
		  $.extend(conf, classes);
		  return $(this).each(function(){
				$(this).attr("class", elementClass.join(" "));
          });
	    }
	});
 })(jQuery);